Login and Registration

Login and Registration

How do I register for WWE.com Legacy?
You will need to register for the service upon making your initial purchase, either an individual match or a subscription. Once you have selected the match or subscription package, the Registration/Purchase pop-up mechanism will open.

Note: You will need to disable any pop-up blocking software you have running on your computer.

You will be asked to register and enter your credit card information to purchase. When you register, the system will acquire a license for you to view the content. Once this is done, you can click on the "play" button and the video stream will begin. With monthly and yearly subscriptions, you will have a play list on the right side of the player to watch all of the matches for that collection.  Watch what you want, when you want, 24 hours a day, 7 days a week.

How do I purchase a subscription package?
To purchase a subscription package, please refer to the following instructions:

  • Click on the Watch or Subscribers button. A pop-up registration/purchase window will appear.
  • Click the "Register" button and follow the registration/purchase process.
  • You will need a credit card to purchase.  We accept, Visa, MasterCard, American Express and Discover.
  • You will receive a welcome e-mail with your e-mail address and four digit PIN code when you complete the registration, and an order confirmation e-mail with your transaction ID number when you purchase.

WWE.com FAQsOnline Pay-Per-View Events

What are the system requirements?
Operating Systems supported: Microsoft Windows 2000, XP, Vista® or 7 with Intel® Pentium® II 450MHz, AMD Athlon® 600MHz or faster processor (or equivalent). Mac OS X 10.4, 10.5 or 10.6 with Intel Core™ Duo 1.33GHz or faster processor. A minimum 128MB of RAM and 128MB of graphics memory is required all operating systems supported. Browsers (All browsers listed must have Flash 10.3 or above installed): Internet Explorer 7 and above; Mozilla Firefox 4.0 and above; Google Chrome 10 and above; Safari 4.0 and above